X509AttrCertParser (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jce.provider

## Class X509AttrCertParser

- java.lang.Object
- - org.bouncycastle.x509.X509StreamParserSpi
  - - org.bouncycastle.jce.provider.X509AttrCertParser

-     public class X509AttrCertParser
      extends org.bouncycastle.x509.X509StreamParserSpi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X509AttrCertParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `engineInit(java.io.InputStream in)` Initializes this stream parser with the input stream.
    `java.lang.Object` | `engineRead()` Returns the next X.509 object of the type of this SPI from the given input stream.
    `java.util.Collection` | `engineReadAll()` Returns all X.509 objects of the type of this SPI from the given input stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X509AttrCertParser

          public X509AttrCertParser()

  - ### Method Detail

    - #### engineInit

          public void engineInit(java.io.InputStream in)

      Description copied from class: `org.bouncycastle.x509.X509StreamParserSpi`
      Initializes this stream parser with the input stream.
      Specified by:
        `engineInit` in class `org.bouncycastle.x509.X509StreamParserSpi`
      Parameters:
        `in` - The input stream.

    - #### engineRead

          public java.lang.Object engineRead()
                                      throws org.bouncycastle.x509.util.StreamParsingException

      Description copied from class: `org.bouncycastle.x509.X509StreamParserSpi`
      Returns the next X.509 object of the type of this SPI from the given input stream.
      Specified by:
        `engineRead` in class `org.bouncycastle.x509.X509StreamParserSpi`
      Returns:
        the next X.509 object in the stream or `null` if the end of the stream is reached.
      Throws:
        `org.bouncycastle.x509.util.StreamParsingException` - if the object cannot be created from input stream.

    - #### engineReadAll

          public java.util.Collection engineReadAll()
                                             throws org.bouncycastle.x509.util.StreamParsingException

      Description copied from class: `org.bouncycastle.x509.X509StreamParserSpi`
      Returns all X.509 objects of the type of this SPI from the given input stream.
      Specified by:
        `engineReadAll` in class `org.bouncycastle.x509.X509StreamParserSpi`
      Returns:
        A collection of all X.509 objects in the input stream or `null` if the end of the stream is reached.
      Throws:
        `org.bouncycastle.x509.util.StreamParsingException` - if an object cannot be created from input stream.